petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscFERegister

Adds a new PetscFE implementation

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFERegister(const char sname[], PetscErrorCode (*function)(PetscFE))

Not Collective

### Input Parameters

| name | - The name of a new user-defined creation routine
| create_func | - The creation routine itself

### Notes

PetscFERegister() may be called multiple times to add several user-defined PetscFEs

### Sample usage

        PetscFERegister("my_fe", MyPetscFECreate);

Then, your PetscFE type can be chosen with the procedural interface via

        PetscFECreate(MPI_Comm, PetscFE *);
        PetscFESetType(PetscFE, "my_fe");

or at runtime via the option

        -petscfe_type my_fe

### See Also

PetscFERegisterAll(), PetscFERegisterDestroy()

### Level

advanced

### Location

src/dm/dt/fe/interface/fe.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages